Subject: Re: cygwin b17.1 system() using inefficient fork() instead of true vfork()
From: [email-masked]

21 Jan 1997 19:09:54 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-CC: [email-masked], [email-masked]
Original-Sender: [email-masked]

Hi, you wrote:

: If you are doing a lot of malloc calls on NT you should check out
: smartheap by Microquill. [...] See www.microquill.com.

Thanks, I'll have a look at it. [browsing a while]
Not cheap, IMHO, but it seems in our case there are at least no royalties.

Although my point was performance of forking large processes,
I hope smartheap will work and not make it worse.
Could there be problems with gcc/gdb/cygwin32 on NT?
So far I only used the standard (read: no cost) calloc on unix.

Bye, Heribert ([email-masked])
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".